Name:          Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR
Version:       7
Release:       2.1%{?dist}
Summary:      French translation of Red_Hat_Enterprise_Linux-Release_Notes-6
Summary(fr-FR):       Notes de publication pour Red Hat Enterprise Linux 6.7
Group:         Documentation
License:       CC-BY-SA
URL:           https://fedorahosted.org/publican
Source:        %{name}-%{version}-2.1.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat
Requires:      xdg-utils
Provides:      Red_Hat_Enterprise_Linux-Release_Notes-6-fr_FR = %{version}-%{release}

%description
French translation of Red_Hat_Enterprise_Linux-Release_Notes-6

%description -l fr-FR


%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=fr-FR --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

cp fr-FR/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR.svg;


cat > Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR-7.desktop <<'EOF'
[Desktop Entry]
Name=Red_Hat_Enterprise_Linux 6: Release_Notes
Comment=Notes de publication pour Red Hat Enterprise Linux 6.7
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR-7.desktop

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/fr-FR/html-desktop/*
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR.svg
%{_datadir}/applications/Red_Hat_Enterprise_Linux-Release_Notes-6-fr-FR-7.desktop

%changelog
* Tue Jun 23 2015 Laura Bailey <lbailey@redhat.com> - 7-2.1
- Fichiers de traduction synchronisés avec les sources XML 7-2 

* Tue Jun 23 2015 Laura Bailey <lbailey@redhat.com> - 7-2
- Updating text and URL for RHEL 6.7 GA. 

* Mon Jun 22 2015 Laura Bailey <lbailey@redhat.com> - 6-7.2
- Fichiers de traduction synchronisés avec les sources XML 6-7 

* Mon Jun 22 2015 Laura Bailey <lbailey@redhat.com> - 6-7.1
- Fichiers de traduction synchronisés avec les sources XML 6-7 

* Mon Mar 30 2015 Milan Navrátil <mnavrati@redhat.com> - 6-2
- Translation files synchronized with XML sources. 



